extends Scene


func _on_green_meadow_interacted() -> void:
	$kq4_014_green_meadow.default_script(self)


func _on_bridge_over_stream_interacted() -> void:
	$kq4_021_bridge_over_stream.default_script(self)


func _on_oceanside_interacted() -> void:
	$kq4_019_coastal_cliffs.default_script(self)


func _on_river_meadow_interacted() -> void:
	$kq4_026_river_meadow.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "A green meadowland, filled with beautiful wildflowers, surrounds you.")
	).build(self, "_on_script_complete"))


func _on_meadow_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The meadow is filled with wildflowers and tall grass. A few trees dot the landscape.")
	).build(self, "_on_script_complete"))
